Reply

SelectSet from assembly

[ Edited ]

 

 

 

Hello

I need to get selected parts in assembly. I can use SelectSet, but I do not know how can I get a collection of parts. Below you see fragment C# code with exception:

SolidEdgeAssembly.AssemblyDocument asm = (SolidEdgeAssembly.AssemblyDocument)appSE.ActiveDocument;

 

SolidEdgeFramework.SelectSet ss = asm.SelectSet; //ok

int scount = ss.Count; //ok

 

for (int i = 1; i

{

    SolidEdgeFramework.SolidEdgeDocument occ =

          (SolidEdgeFramework.SolidEdgeDocument)ss.Item(i); //

 

    SolidEdgeAssembly.Occurrence oc = (SolidEdgeAssembly.Occurrence)ss.Item(i); //

 

    SolidEdgePart.PartDocument pd = (SolidEdgePart.PartDocument)ss.Item(i); //

}

 

Can someone help me?

 

Posted by: Norbert Adamski
Post date: 4/11/2009 12:39:24 AM

1 REPLY

RE: SelectSet from assembly

[ Edited ]

 

HI,

change from int to long, in C++ this helped me in similar situations.

Regards

Massimo

 

Posted by: Massimo Magris
Post date: 4/13/2009 1:51:12 AM